Name:          PyQt5-sip
Version:       12.17.0
Release:       1mamba
Summary:       The sip extension module provides support for the PyQt5 package
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/PyQt5-sip/
Source:        https://pypi.debian.net/PyQt5-sip/pyqt5_sip-%{version}.tar.gz
License:       SIP
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.11.5

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pyqt5_sip-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "/.egg-info/d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/*.egg-info
%{python_sitearch}/*.egg-info/*

%changelog
* Mon Feb 03 2025 Automatic Build System <autodist@openmamba.org> 12.17.0-1mamba
- automatic version update by autodist

* Sat Jan 04 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 12.16.1-1mamba
- update to 12.16.1

* Fri Dec 06 2024 Automatic Build System <autodist@openmamba.org> 12.16.0-1mamba
- automatic version update by autodist

* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 12.15.0-1mamba
- automatic version update by autodist

* Tue Oct 17 2023 Automatic Build System <autodist@mambasoft.it> 12.13.0-1mamba
- automatic version update by autodist

* Sat Sep 23 2023 Automatic Build System <autodist@mambasoft.it> 12.12.2-2mamba
- rebuilt with python3 = 3.11.5

* Wed Jul 26 2023 Automatic Build System <autodist@mambasoft.it> 12.12.2-1mamba
- automatic version update by autodist

* Sun Apr 23 2023 Automatic Build System <autodist@mambasoft.it> 12.12.1-1mamba
- automatic version update by autodist

* Wed Apr 12 2023 Automatic Build System <autodist@mambasoft.it> 12.12.0-1mamba
- automatic version update by autodist

* Sun Jan 29 2023 Automatic Build System <autodist@mambasoft.it> 12.11.1-1mamba
- automatic version update by autodist

* Mon Jun 20 2022 Automatic Build System <autodist@mambasoft.it> 12.11.0-1mamba
- automatic version update by autodist

* Sun Apr 17 2022 Automatic Build System <autodist@mambasoft.it> 12.10.1-1mamba
- automatic version update by autodist

* Thu Apr 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 12.9.1-2mamba
- rebuilt with python 3.10

* Sat Feb 05 2022 Automatic Build System <autodist@mambasoft.it> 12.9.1-1mamba
- automatic version update by autodist

* Sat May 15 2021 Automatic Build System <autodist@mambasoft.it> 12.9.0-1mamba
- automatic version update by autodist

* Sat Mar 13 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 12.8.1-2mamba
- rebuilt to update automatic python provides

* Fri Oct 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 12.8.1-1mamba
- update to 12.8.1

* Mon Apr 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 12.7.2-1mamba
- package created using the webbuild interface
